"{ Package: 'jv:dragonfly/udis86sx' }"

"{ NameSpace: Smalltalk }"

Object subclass:#UDIS86Instruction
	instanceVariableNames:'pc len assembly opcodeCode'
	classVariableNames:''
	poolDictionaries:''
	category:'UDIS86'
!


!UDIS86Instruction methodsFor:'accessing'!

assembly
    ^ assembly
! !

!UDIS86Instruction methodsFor:'initialization'!

setAssembly: aString
    assembly := aString.

    "Created: / 10-12-2015 / 17:04:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setOpcodeCode: anInteger
    opcodeCode := anInteger

    "Created: / 10-12-2015 / 21:12:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setPC: anInteger
    pc := anInteger

    "Created: / 10-12-2015 / 16:55:40 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!UDIS86Instruction methodsFor:'printing'!

printOn: aStream
    pc printOn: aStream base: 16 size: ExternalAddress pointerSize * 2 fill: $0.
    aStream space.
    aStream nextPutAll: assembly

    "Created: / 11-12-2015 / 21:30:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!UDIS86Instruction class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

